Updating Browser and Security Settings

In order to enhance security, we will discontinue service to older web browsers with outdated security settings on March 1, 2017

To ensure we can continue to serve you securely in the future, please update to the latest version of Google Chrome, Internet Explorer, Safari or Firefox.

If you are unable to upgrade your browser, please follow the steps below to update your security settings for Google Chrome, Internet Explorer or Firefox. Safari users must be on Safari version 7 or higher. Instructions are browser-specific and work for both Windows and Mac.For assistance, please call (888) 372-4891.

Google Chrome

  1. Open Google Chrome
  2. Press and hold ALT-F and select Settings
  3. Scroll down and select Show advanced settings
  4. Scroll down to the Network section and click on Change proxy settings
  5. Select the Advanced tab
  6. Scroll down to the Security section
  7. Locate and check these boxes: Use TLS 1.0, Use TLS 1.1 and Use TLS 1.2
  8. Click OK

Internet Explorer

  1. Open Internet Explorer
  2. Click on the settings icon and select Internet options
  3. Select the Advanced tab and scroll down to the Security section
  4. Locate and check these boxes: Use TLS 1.0, Use TLS 1.1 and Use TLS 1.2
  5. Click OK

Firefox

  1. Launch Firefox
  2. Browse to about:config
  3. Click on I'll be careful, I promise!
  4. Search for tls.version.max
  5. Double click security.tls.version.max and set value as 3